%define module	App-CLI
%define name	perl-%{module}
%define version 0.07
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Dispatcher module for command line interface programs 
Url:            http://search.cpan.org/dist/%module/
Source:		http://www.cpan.org/modules/by-module/App/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Locale::Maketext::Simple)
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
App::CLI dispatches CLI (command line interface) based commands into command 
classes. It also supports subcommand and per-command options.

%prep
%setup -q -n %{module}-%{version}
perl -pi -e 's/auto_install\(\)\;//' Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/App
%{_mandir}/man3/*





%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.07-1mdv2008.1
+ Revision: 136658
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.07-1mdv2008.0
+ Revision: 19182
-New version


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-1mdv2007.0
+ Revision: 73273
- import perl-App-CLI-0.06-1mdv2007.0

* Sun Jul 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2007.0
- New version 0.06

* Thu Jun 08 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdk
- New release 0.05

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdk
- New release 0.04
- spec cleanup
- better source URL
- better URL
- better buildrequires syntax

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-3mdk
- rebuild

* Thu Jan 19 2006 Michael Scherer <misc@mandriva.org> 0.03-2mdk
- Remove autoinstaller ( filling lbd system disk )
- fix BuildRequires

* Wed Jan 04 2006 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- New release 0.03

* Wed Dec 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-3mdk
- Add BuildRequires

* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.02-2mdk
- Do not ship empty dir

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.02-1mdk
- New release 0.02

* Thu Sep 22 2005 Michael Scherer <misc@mandriva.org> 0.01-1mdk
- First mandriva package

